<template>
  <div
    class="container-xxl"
  >
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de subasta
            </h3>
            <div class="card-toolbar justify-content-end">
              <router-link
                :to="{ name: 'panel.subasta.crear'}"
                class="btn btn-success shadow-sm"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </router-link>
              <button
                class="btn btn-primary ms-5"
                @click="onSubastaListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaSubastaListar"
          @on-subasta-eliminar="onSubastaEliminar"
        />
      </div>
    </div>

    <modal-eliminar
      :subasta="sSubasta"
      @on-subasta-listar="onSubastaListar"
    />
  </div>
</template>
<script>
import TablaListar from "@/components/panel/subasta/TablaSubastaListar";
import ModalEliminar from "@/components/panel/subasta/ModalSubastaEliminar";
import Clonar from "@/core/util/Clonar";

export default {
  name: 'SubastaListar',
  components: {
    TablaListar, ModalEliminar
  },
  data() {
    return {
      sSubasta: {},
    }
  },
  methods: {
    onSubastaListar() {
      this.$refs.tablaSubastaListar.onSubastaListar();
    },

    onSubastaEliminar(subasta) {
      this.sSubasta = Clonar.clon(subasta);
    }
  }

}
</script>